package com.shigongli.service.impl;

import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.shigongli.common.StringUtils;
import com.shigongli.constants.StatusConstant;
import com.shigongli.entity.TaHouseSurround;
import com.shigongli.entity.TaShopKeeper;
import com.shigongli.mapper.TaHouseSurroundMapper;
import com.shigongli.service.ITaHouseSurroundService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 房源周边 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2020-12-11
 */
@Service
public class TaHouseSurroundServiceImpl extends ServiceImpl<TaHouseSurroundMapper, TaHouseSurround> implements ITaHouseSurroundService {
    @Autowired
    TaHouseSurroundMapper taHouseSurroundMapper;

    @Override
    public IPage<TaHouseSurround> getListByHouseOrNot(IPage<TaHouseSurround> pg, String houseId) {
        return taHouseSurroundMapper.getListByHouseOrNot(pg, houseId);
    }

    @Override
    public void copySurroundByHouse(String fromHouse, String toHouse) {
        taHouseSurroundMapper.copySurroundByHouse(fromHouse, toHouse);
    }

    @Override
    public boolean deleteByHouse(String houseId) {
        if (StringUtils.isEmpty(houseId)) {
            return false;
        }

        try {
            UpdateWrapper<TaHouseSurround> wrapper = new UpdateWrapper<>();
            wrapper.set("status", StatusConstant.DELETE);
            wrapper.eq("house_id", houseId);
            return update(wrapper);
        } catch (Exception e) {
            e.printStackTrace();
            return false;
        }
    }
}
